Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### bezier()

Examples

    noFill();
    stroke(255, 102, 0);
    line(85, 20, 10, 10);
    line(90, 90, 15, 80);
    stroke(0, 0, 0);
    bezier(85, 20, 10, 10, 90, 90, 15, 80);

    noFill();
    stroke(255, 102, 0);
    line(30, 20, 80, 5);
    line(80, 75, 30, 75);
    stroke(0, 0, 0);
    bezier(30, 20,  80, 5,  80, 75,  30, 75);

Description

Draws a Bezier curve on the screen. These curves are defined by a series of anchor and control points. The first two parameters specify the first anchor point and the last two parameters specify the other anchor point. The middle parameters specify the control points which define the shape of the curve. Bezier curves were developed by French engineer Pierre Bezier. Using the 3D version of requires rendering with P3D or OPENGL (see the Environment reference for more information).

Syntax

    bezier(x1, y1, cx1, cy1, cx2, cy2, x2, y2);
    bezier(x1, y1, z1, cx1, cy1, cz1, cx2, cy2, cz2, x2, y2, z2);

Parameters

x1, y1, z1 | int or float: coordinates for the first anchor point
cx1, cy1, cz1 | int or float: coordinates for the first control point
cx2, cy2, cz2 | int or float: coordinates for the second control point
x2, y2, z2 | int or float: coordinates for the second anchor point

Returns | None
Usage | Web & Application
Related | bezierVertex() curve()

Updated on November 22, 2008 08:39:26pm PST